Package com.smartgwt.client.ai

# Class BuildDataBoundUIViaAIContext

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationContext
com.smartgwt.client.ai.BuildViaAIContext
com.smartgwt.client.ai.BuildUIViaAIContext
com.smartgwt.client.ai.BuildDataBoundUIViaAIContext

All Implemented Interfaces:
  `HasHandlers`

public class BuildDataBoundUIViaAIContext extends BuildUIViaAIContext

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildDataBoundUIViaAIContext()`
  `BuildDataBoundUIViaAIContext(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataSource`
  `getDataSource()`
  The AI-selected data source.
  `static BuildDataBoundUIViaAIContext`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `BuildDataBoundUIViaAIContext`
  `setDataSource(DataSource dataSource)`
  The AI-selected data source.

  ### Methods inherited from class com.smartgwt.client.ai.BuildUIViaAIContext

  `getJSCode, getNodes, getUIType, setJSCode, setNodes, setUIType`

  ### Methods inherited from class com.smartgwt.client.util.AsyncOperationContext

  `getCancellationController, setCancellationController`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BuildDataBoundUIViaAIContext

    public BuildDataBoundUIViaAIContext()

  - ### BuildDataBoundUIViaAIContext

    public BuildDataBoundUIViaAIContext(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static BuildDataBoundUIViaAIContext getOrCreateRef(JavaScriptObject jsObj)

  - ### setDataSource

    public BuildDataBoundUIViaAIContext setDataSource(DataSource dataSource)
    The AI-selected data source.
    Parameters:
      `dataSource` - New dataSource value. Default value is null
    Returns:
      `BuildDataBoundUIViaAIContext` instance, for chaining setter calls

  - ### getDataSource

    public DataSource getDataSource()
    The AI-selected data source.
    Returns:
      Current dataSource value. Default value is null